# Appender definition json: {"appender", "stream", "file"} Can only specify a file OR a stream
log-appender = {"appender":"stderr","stream":"std_error","time_format":"iso_8601_microseconds"} {"appender":"p2p","file":"logs/p2p/p2p.log","time_format":"iso_8601_milliseconds", "delta_times": false}

# log-console-appender = 

# log-file-appender = 

# Logger definition json: {"name", "level", "appender"}
log-logger = {"name":"default","level":"info","appender":"stderr"} {"name":"user","level":"debug","appender":"stderr"} {"name":"p2p","level":"warn","appender":"p2p"}

# list of addresses, that will receive notification about in-chain events
# notifications-endpoint = 

# Whether to print backtrace on SIGSEGV
backtrace = yes

# Plugin(s) to enable, may be specified multiple times
plugin = witness account_by_key account_by_key_api account_history_rocksdb account_history_api block_api condenser_api network_broadcast_api transaction_status_api wallet_bridge_api

# The location of the rocksdb database for account history. By default it is $DATA_DIR/blockchain/account-history-rocksdb-storage
account-history-rocksdb-path = "blockchain/account-history-rocksdb-storage"

# Defines a range of accounts to track as a json pair ["from","to"] [from,to] Can be specified multiple times.
# account-history-rocksdb-track-account-range = 

# Defines a list of operations which will be explicitly logged.
# account-history-rocksdb-whitelist-ops = 

# Defines a list of operations which will be explicitly ignored.
# account-history-rocksdb-blacklist-ops = 

# Where to export data (NONE to discard)
block-data-export-file = NONE

# Skip producing when no factory is registered
block-data-skip-empty = 0

# How often to print out block_log_info (default 1 day)
block-log-info-print-interval-seconds = 86400

# Whether to defer printing until block is irreversible
block-log-info-print-irreversible = 1

# Where to print (filename or special sink ILOG, STDOUT, STDERR)
block-log-info-print-file = ILOG

# the location of the chain shared memory files (absolute path or relative to application data dir)
shared-file-dir = "blockchain"

# Size of the shared memory file. Default: 24G. If running with many plugins, increase this value to 28G.
shared-file-size = 24G

# A 2 precision percentage (0-10000) that defines the threshold for when to autoscale the shared memory file. Setting this to 0 disables autoscaling. Recommended value for consensus node is 9500 (95%).
shared-file-full-threshold = 0

# A 2 precision percentage (0-10000) that defines how quickly to scale the shared memory file. When autoscaling occurs the file's size will be increased by this percent. Setting this to 0 disables autoscaling. Recommended value is between 1000-2000 (10-20%)
shared-file-scale-rate = 0

# Pairs of [BLOCK_NUM,BLOCK_ID] that should be enforced as checkpoints.
# checkpoint = 

# flush shared memory changes to disk every N blocks
# flush-state-interval = 

# Compress blocks using zstd as they're added to the block log
enable-block-log-compression = 1

# Block log zstd compression level 0 (fast, low compression) - 22 (slow, high compression)
block-log-compression-level = 15

# Number of worker threads used to pre-validate transactions and blocks
blockchain-thread-pool-size = 8

# Level of detail of block stat reports: NONE, MINIMAL, REGULAR, FULL. Default FULL (recommended for API nodes).
block-stats-report-type = FULL

# Where to put block stat reports: DLOG, ILOG, NOTIFY. Default ILOG.
block-stats-report-output = ILOG

# Starting block for comment cashout log
# cashout-logging-starting-block = 

# Ending block for comment cashout log
# cashout-logging-ending-block = 

# Path to log file
# cashout-logging-log-path-dir = 

# Database edits to apply on startup (may specify multiple times)
# debug-node-edit-script = 

# Database edits to apply on startup (may specify multiple times). Deprecated in favor of debug-node-edit-script.
# edit-script = 

# Set the maximum size of cached feed for an account
follow-max-feed-size = 500

# Block time (in epoch seconds) when to start calculating feeds
follow-start-feeds = 0

# json-rpc log directory name.
# log-json-rpc = 

# Track market history by grouping orders into buckets of equal size measured in seconds specified as a JSON array of numbers
market-history-bucket-size = [15,60,300,3600,86400]

# How far back in time to track history for each bucket size, measured in the number of buckets (default: 5760)
market-history-buckets-per-size = 5760

# The local IP address and port to listen for incoming connections.
# p2p-endpoint = 

# Maxmimum number of incoming connections on P2P endpoint.
# p2p-max-connections = 

# The IP address and port of a remote peer to sync with. Deprecated in favor of p2p-seed-node.
# seed-node = 

# The IP address and port of a remote peer to sync with.
# p2p-seed-node = 

# P2P network parameters. (Default: {"listen_endpoint":"0.0.0.0:0","accept_incoming_connections":true,"wait_if_endpoint_is_busy":true,"private_key":"0000000000000000000000000000000000000000000000000000000000000000","desired_number_of_connections":20,"maximum_number_of_connections":200,"peer_connection_retry_timeout":30,"peer_inactivity_timeout":5,"peer_advertising_disabled":false,"maximum_number_of_blocks_to_handle_at_one_time":200,"maximum_number_of_sync_blocks_to_prefetch":20000,"maximum_blocks_per_peer_during_syncing":200,"active_ignored_request_timeout_microseconds":6000000} )
# p2p-parameters = 

# Skip rejecting transactions when account has insufficient RCs. This is not recommended.
rc-skip-reject-not-enough-rc = 0

# Start calculating RCs at a specific block
rc-start-at-block = 0

# Ignore RC calculations for the whitelist
# rc-account-whitelist = 

# The location (root-dir) of the snapshot storage, to save/read portable state dumps
snapshot-root-dir = "snapshot"

# Endpoint to send statsd messages to.
# statsd-endpoint = 

# Size to batch statsd messages.
statsd-batchsize = 1

# Whitelist of statistics to capture.
# statsd-whitelist = 

# Blacklist of statistics to capture.
# statsd-blacklist = 

# Block time (in epoch seconds) when to start calculating promoted content. Should be 1 week prior to current time.
tags-start-promoted = 0

# Skip updating tags on startup. Can safely be skipped when starting a previously running node. Should not be skipped when reindexing.
tags-skip-startup-update = 0

# Defines the number of blocks from the head block that transaction statuses will be tracked.
transaction-status-block-depth = 64000

# Defines the block number the transaction status plugin will begin tracking.
transaction-status-track-after-block = 0

# Local http endpoint for webserver requests.
# webserver-http-endpoint = 

# Local unix http endpoint for webserver requests.
# webserver-unix-endpoint = 

# Local websocket endpoint for webserver requests.
# webserver-ws-endpoint = 

# Enable the RFC-7692 permessage-deflate extension for the WebSocket server (only used if the client requests it).  This may save bandwidth at the expense of CPU
# webserver-enable-permessage-deflate = 

# Local http and websocket endpoint for webserver requests. Deprecated in favor of webserver-http-endpoint and webserver-ws-endpoint
rpc-endpoint = 0.0.0.0:28090

# Number of threads used to handle queries. Default: 32.
webserver-thread-pool-size = 32

# Enable block production, even if the chain is stale.
enable-stale-production = yes

# Percent of witnesses (0-99) that must be participating in order to produce blocks
required-participation = 0

# name of witness controlled by this node (e.g. initwitness )
witness = "initminer"

# WIF PRIVATE KEY to be used by one or more witnesses or miners
private-key = 5JNHfZYKGaomSFvd4NUdQ9qMcEAC43kujbfjueTHpVapX1Kzq2n

# Skip enforcing bandwidth restrictions. Default is true in favor of rc_plugin.
witness-skip-enforce-bandwidth = 1

